oracle.pgx.config

## Enum PgHbaseGraphConfig.Field

- java.lang.Object
- - java.lang.Enum<PgHbaseGraphConfig.Field>
  - - oracle.pgx.config.PgHbaseGraphConfig.Field

- All Implemented Interfaces:
    Serializable, Comparable<PgHbaseGraphConfig.Field>, ConfigField
  Enclosing class:
    PgHbaseGraphConfig

      public static enum PgHbaseGraphConfig.Field
      extends Enum<PgHbaseGraphConfig.Field>
      implements ConfigField

  Fields of PGX Engine PG Hbase Graph Config

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK_CACHE_SIZE` block_cache_size
    `COMPRESSION` which HBase compression algorithm to use.
    `DATE_FORMAT` the date format to use when loading and storing date properties.
    `DB_ENGINE` underlying database engine
    `EDGE_PROPS` specification of edge properties associated with graph
    `ERROR_HANDLING` error handling configuration
    `FORMAT` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `HADOOP_SEC_AUTH` Hadoop authentication string
    `HBASE_SEC_AUTH` HBase authentication string
    `HM_KERBEROS_PRINCIPAL` HM Kerberos principal
    `INITIAL_EDGE_NUM_REGIONS` how many initial edge regions defined for the HBase tables
    `INITIAL_VERTEX_NUM_REGIONS` how many initial vertex regions defined for the HBase tables
    `KEYTAB` path to keytab file
    `LOAD_EDGE_LABEL` whether or not to load the edge label (string) into memory as well.
    `LOADING` loading-specific configuration
    `MAX_NUM_CONNECTIONS` maximum number of database connections to use when reading the graph
    `NAME` prefix of the table name (for edge and vertex tables)
    `RS_KERBEROS_PRINCIPAL` RS Kerberos principal
    `SPLITS_PER_REGION` how many splits per region to use when scanning vertices/edges
    `USER_PRINCIPAL` User principal
    `VERTEX_PROPS` specification of vertex properties associated with graph
    `ZK_CLIENT_PORT` ZooKeeper client port
    `ZK_QUORUM` ZooKeeper Quorum value
    `ZK_SESSION_TIMEOUT` ZooKeeper session timeout (in milliseconds)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultVal()` Gets the default value of this field.
    `List<String>` | `getKeyAliases()` Gets the key aliases of this field which are also recognized during parsing.
    `Class<?>` | `getType()` Gets the type of this field.
    `boolean` | `isArray()` Checks if this field is an array.
    `boolean` | `isEnum()` Checks if this field is of enum type.
    `boolean` | `isPath()` Checks if this field is a path.
    `boolean` | `isPrimitive()` Checks if this field is of primitive type.
    `boolean` | `isRequired()` Checks if this field is required.
    `String` | `toKey()` Get the key of this field, which is how this field is represented in serialized form.
    `String` | `toString()`
    `static PgHbaseGraphConfig.Field` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PgHbaseGraphConfig.Field[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK_CACHE_SIZE

          public static final PgHbaseGraphConfig.Field BLOCK_CACHE_SIZE

      block_cache_size

    - #### COMPRESSION

          public static final PgHbaseGraphConfig.Field COMPRESSION

      which HBase compression algorithm to use. Check HBase documentation for list of supported algorithms

    - #### DATE_FORMAT

          public static final PgHbaseGraphConfig.Field DATE_FORMAT

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string

    - #### DB_ENGINE

          public static final PgHbaseGraphConfig.Field DB_ENGINE

      underlying database engine

    - #### EDGE_PROPS

          public static final PgHbaseGraphConfig.Field EDGE_PROPS

      specification of edge properties associated with graph

    - #### ERROR_HANDLING

          public static final PgHbaseGraphConfig.Field ERROR_HANDLING

      error handling configuration

    - #### FORMAT

          public static final PgHbaseGraphConfig.Field FORMAT

      graph format (Note: `bin` is deprecated, use `pgb` instead)

    - #### HADOOP_SEC_AUTH

          public static final PgHbaseGraphConfig.Field HADOOP_SEC_AUTH

      Hadoop authentication string

    - #### HBASE_SEC_AUTH

          public static final PgHbaseGraphConfig.Field HBASE_SEC_AUTH

      HBase authentication string

    - #### HM_KERBEROS_PRINCIPAL

          public static final PgHbaseGraphConfig.Field HM_KERBEROS_PRINCIPAL

      HM Kerberos principal

    - #### INITIAL_EDGE_NUM_REGIONS

          public static final PgHbaseGraphConfig.Field INITIAL_EDGE_NUM_REGIONS

      how many initial edge regions defined for the HBase tables

    - #### INITIAL_VERTEX_NUM_REGIONS

          public static final PgHbaseGraphConfig.Field INITIAL_VERTEX_NUM_REGIONS

      how many initial vertex regions defined for the HBase tables

    - #### KEYTAB

          public static final PgHbaseGraphConfig.Field KEYTAB

      path to keytab file

    - #### LOAD_EDGE_LABEL

          public static final PgHbaseGraphConfig.Field LOAD_EDGE_LABEL

      whether or not to load the edge label (string) into memory as well. If `true`, the first edge property of this config must be of type string. After loading is done, that property will hold the label strings.

    - #### LOADING

          public static final PgHbaseGraphConfig.Field LOADING

      loading-specific configuration

    - #### MAX_NUM_CONNECTIONS

          public static final PgHbaseGraphConfig.Field MAX_NUM_CONNECTIONS

      maximum number of database connections to use when reading the graph

    - #### NAME

          public static final PgHbaseGraphConfig.Field NAME

      prefix of the table name (for edge and vertex tables)

    - #### RS_KERBEROS_PRINCIPAL

          public static final PgHbaseGraphConfig.Field RS_KERBEROS_PRINCIPAL

      RS Kerberos principal

    - #### SPLITS_PER_REGION

          public static final PgHbaseGraphConfig.Field SPLITS_PER_REGION

      how many splits per region to use when scanning vertices/edges

    - #### USER_PRINCIPAL

          public static final PgHbaseGraphConfig.Field USER_PRINCIPAL

      User principal

    - #### VERTEX_PROPS

          public static final PgHbaseGraphConfig.Field VERTEX_PROPS

      specification of vertex properties associated with graph

    - #### ZK_CLIENT_PORT

          public static final PgHbaseGraphConfig.Field ZK_CLIENT_PORT

      ZooKeeper client port

    - #### ZK_QUORUM

          public static final PgHbaseGraphConfig.Field ZK_QUORUM

      ZooKeeper Quorum value

    - #### ZK_SESSION_TIMEOUT

          public static final PgHbaseGraphConfig.Field ZK_SESSION_TIMEOUT

      ZooKeeper session timeout (in milliseconds)

  - ### Method Detail

    - #### getDefaultVal

          public Object getDefaultVal()

      Description copied from interface: `ConfigField`
      Gets the default value of this field.
      Specified by:
        `getDefaultVal` in interface `ConfigField`
      Returns:
        the default value

    - #### getKeyAliases

          public List<String> getKeyAliases()

      Description copied from interface: `ConfigField`
      Gets the key aliases of this field which are also recognized during parsing.
      Specified by:
        `getKeyAliases` in interface `ConfigField`
      Returns:
        the key aliases

    - #### getType

          public Class<?> getType()

      Description copied from interface: `ConfigField`
      Gets the type of this field.
      Specified by:
        `getType` in interface `ConfigField`
      Returns:
        the type

    - #### isArray

          public boolean isArray()

      Description copied from interface: `ConfigField`
      Checks if this field is an array.
      Specified by:
        `isArray` in interface `ConfigField`
      Returns:
        true, if array

    - #### isEnum

          public boolean isEnum()

      Description copied from interface: `ConfigField`
      Checks if this field is of enum type.
      Specified by:
        `isEnum` in interface `ConfigField`
      Returns:
        true, if enum

    - #### isPath

          public boolean isPath()

      Description copied from interface: `ConfigField`
      Checks if this field is a path.
      Specified by:
        `isPath` in interface `ConfigField`
      Returns:
        true, if path

    - #### isPrimitive

          public boolean isPrimitive()

      Description copied from interface: `ConfigField`
      Checks if this field is of primitive type.
      Specified by:
        `isPrimitive` in interface `ConfigField`
      Returns:
        true, if primitive

    - #### isRequired

          public boolean isRequired()

      Description copied from interface: `ConfigField`
      Checks if this field is required.
      Specified by:
        `isRequired` in interface `ConfigField`
      Returns:
        true, if required

    - #### toKey

          public String toKey()

      Description copied from interface: `ConfigField`
      Get the key of this field, which is how this field is represented in serialized form.
      Specified by:
        `toKey` in interface `ConfigField`
      Returns:
        the key.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<PgHbaseGraphConfig.Field>`

    - #### valueOf

          public static PgHbaseGraphConfig.Field valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static PgHbaseGraphConfig.Field[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PgHbaseGraphConfig.Field c : PgHbaseGraphConfig.Field.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.